<?php

defined( 'ABSPATH' ) || exit;

?>
<div class="wc-metabox">
	<table cellpadding="0" cellspacing="0" class="wc-metabox-content ctx-table">
        <thead>
            <tr>
                <th class="text-center"><?php echo __('fallback', 'connectix'); ?>?</th>
                <th class="text-left"><?php echo __('type', 'connectix'); ?></th>
                <th class="text-center"><?php echo __('channel', 'connectix'); ?></th>
                <th class="text-center"><?php echo __('status', 'connectix'); ?></th>
                <th class="text-center"><?php echo __('created_at', 'connectix'); ?></th>
                <th></th>
            </tr>
        </thead>
		<tbody>
        <?php
            add_thickbox();
            if (empty($messages)) {
                ?>
                <tr>
                    <td class="text-center" colspan="5">
                    <?php echo __('no_messages', 'connectix'); ?>
                    </td>
                </tr>
                <?php
            }
            foreach ($messages as $message) {
                ?>
                    <tr>
                        <td class="text-center">
                            <?php echo $message['fallback_id'] ? __('yes', 'connectix') : __('no', 'connectix'); ?>
                        </td>
                        <td>
                            <?php echo __($message['type'], 'connectix'); ?>
                        </td>
                        <td class="text-center">
                            <?php echo $message['channel']; ?>
                        </td>
                        <td class="text-center">
                            <?php echo __($message['status'], 'connectix'); ?>
                        </td>
                        <td class="text-center">
                            <?php echo $message['created_at']; ?>
                        </td>
                        <td class="text-center">
                            <a href="#TB_inline?width=600&height=550&inlineId=text-<?php echo $message['id']; ?>" class="button thickbox">
                                <i class="dashicons dashicons-email"></i>
                            </a>
                            <div id="text-<?php echo $message['id']; ?>" style="display:none;">
                                <p>
                                    <?php echo nl2br($message['text']); ?>
                                </p>
                            </div>

                            <?php if (0 < count($message['inbounds'])) { ?>
                                <a href="#TB_inline?width=600&height=550&inlineId=inbounds-<?php echo $message['id']; ?>" class="button thickbox">
                                    <i class="dashicons dashicons-admin-comments"></i>
                                </a>
                                <div id="inbounds-<?php echo $message['id']; ?>" style="display:none;">
                                    <ul>
                                        <?php foreach ($message['inbounds'] as $inbound) { ?>
                                            <p>
                                                <?php if (!empty($inbound['text'])) { ?>
                                                    <?php echo nl2br($inbound['text']); ?>
                                                <?php } ?>
                                                <?php if (!empty($inbound['media_url']) && !empty($inbound['media_name'])) { ?>
                                                    <a href="<?php echo $inbound['media_url']; ?>" target="_blank">
                                                        <?php if ($inbound['type'] === 'image') { ?>
                                                            <img src="<?php echo $inbound['media_url']; ?>" alt="<?php echo $inbound['media_name']; ?>" height="50px">
                                                        <?php } else { ?>
                                                            <?php echo $inbound['media_name']; ?>
                                                        <?php } ?>
                                                    </a>
                                                <?php } ?>
                                            </p>
                                            <small><?php echo $inbound['sent_at']; ?></small>
                                        <?php } ?>
                                    </ul>
                                </div>
                            <?php } ?>
                        </td>
                    </tr>
                <?php
            }
        ?>
		</tbody>
	</table>
</div>
