<?php

namespace WooCommerce\Connectix;

use Connectix\Client;
use Connectix\Exception;

defined('ABSPATH') || exit;

/**
 * Class BaseClient
 */
abstract class BaseClient
{
    const TYPE_NEW_ORDER = 'new_order';
    const TYPE_CHANGE_ORDER_STATUS = 'change_order_status';
    const TYPE_READY_FOR_DELIVERY = 'ready_for_delivery';
    const TYPE_NOT_PICKED_UP = 'not_picked_up';

    const SYSTEM_SANDBOX = 'sandbox';
    const SYSTEM_LIVE = 'live';

    /**
     * @var Client|null
     */
    private $client;

    /**
     * @return Client
     */
    protected function getClient(): Client
    {
        if (!$this->client) {
            try {
                $this->client = new Client(Settings::get_setting('token'), Settings::get_setting('system') === self::SYSTEM_SANDBOX);
            } catch (Exception\NoTokenException $e) {}
        }

        return $this->client;
    }
}
