<?php

namespace Connectix\Components;

use Connectix\Exception\RequiredValueException;

/**
 * Class Message
 * @package Connectix\Components
 */
final class Blacklist extends BaseComponent
{
	/**
	 * @var string|null
	 */
	protected $phone;

	/**
	 * @inheritDoc
	 */
	public function getRequiredFields(): array
	{
		return ['phone'];
	}

	/**
	 * @return null[]|string[]
	 * @throws RequiredValueException
	 */
	public function toArray(): array
	{
		parent::validate();

		return [
			'phone' => $this->getPhone(),
		];
	}

	/**
	 * @inheritDoc
	 */
	public function toJson(): string
	{
		if ($data = json_encode($this->toArray())) {
			return $data;
		}

		return '';
	}

	/**
	 * @return string|null
	 */
	public function getPhone()
	{
		return $this->phone;
	}

	/**
	 * @param string $phone
	 * @return Blacklist
	 */
	public function setPhone(string $phone): Blacklist
	{
		$this->phone = $phone;

		return $this;
	}
}
