<?php

namespace Connectix\Request;

use Connectix\Components\Blacklist;
use Connectix\Exception;

/**
 * Class BlacklistRequest
 * @package Connectix\Request
 */
class BlacklistRequest extends BaseRequest
{
	/**
	 * @inheritDoc
	 */
	protected function getBasePath(): string
	{
		return 'blacklist';
	}

	/**
	 * @param Blacklist $data
	 * @param array $query
	 * @return array|string yes|no
	 * @throws Exception\BadConnectionException
	 * @throws Exception\BadRequestException
	 * @throws Exception\BadResponseBodyException
	 */
	public function isBlacklisted(Blacklist $data, $query = [])
	{
		return $this->call(null, $data, $query);
	}
}
