<?php

namespace Connectix\Request;

use Connectix\Exception;
use Connectix\Components\ComponentInterface;

/**
 * Interface RequestInterface
 * @package Connectix\Request
 */
interface RequestInterface
{
	/**
	 * @return string
	 */
	public function getToken(): string;

	/**
	 * @param string $token
	 * @return RequestInterface
	 */
	public function setToken(string $token): RequestInterface;
	/**
	 * @return bool
	 */
	public function isDev(): bool;

	/**
	 * @param bool $isDev
	 * @return RequestInterface
	 */
	public function setIsDev(bool $isDev): RequestInterface;

	/**
	 * @param string|null $uri
	 * @param ComponentInterface|array|null $data
	 * @param array $query
	 * @return array|string
	 * @throws Exception\BadConnectionException
	 * @throws Exception\BadRequestException
	 * @throws Exception\BadResponseBodyException
	 */
	public function call($uri = null, $data = null, array $query = []);
}
